Bug 1444520 - Slow Redirection when adding cloud keypair
Summary: Slow Redirection when adding cloud keypair
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Mike Shriver
URL:
Whiteboard: ui:key_pair
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 14:01 UTC by Mike Shriver
Modified: 2019-02-07 23:02 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:34 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:
mshriver: automate_bug+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:39 UTC

Description Mike Shriver 2017-04-21 14:01:30 UTC
Description of problem:

When adding a new cloud keypair through the UI, the redirection after clicking 'Add' on the form sometimes takes longer than 60 seconds.

The activity spinner is displayed, and the page eventually redirects. 60 seconds is far more time than should be allowed for this redirection.

Version-Release number of selected component (if applicable):
5.8.0.11

How reproducible:
80%

Steps to Reproduce:
1. Add Openstack Provider
2. Navigate to Compute->Cloud->Key Pairs
3. Add a new key pair, observer redirection time after submitting form

Actual results:
Redirection takes over 60 seconds

Expected results:
redirection within seconds, on-par with other form submission in CFME

Additional info:

Comment 6 Martin Hradil 2017-06-16 15:15:31 UTC
Reassigning to Greg, as this is presumably a provider issue - the UI is just waiting for a task to complete.

Created a separate BZ ( https://bugzilla.redhat.com/show_bug.cgi?id=1462278 ) for the UI spinner issue.

Comment 7 Bronagh Sorota 2017-06-26 17:34:24 UTC
The UI team made an enhancement to display a spinner while waiting. However, the crux of this BZ seems to be a Openstack provider issue.

Thanks
Bronagh

Comment 9 CFME Bot 2018-11-05 14:26:43 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/22d7b95e4e617097b47b9f8074580d8ee3ebd912
commit 22d7b95e4e617097b47b9f8074580d8ee3ebd912
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov  5 05:14:12 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Nov  5 05:14:12 2018 -0500

    Merge pull request #4854 from mansam/fix-auth-key-pair-create-spinner

    Stop spinner from spinning forever when creating a new key pair

    (cherry picked from commit 9b02ec78214094a4a428c806dd27cde93582e0ed)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1444520

 app/controllers/auth_key_pair_cloud_controller.rb | 8 +-
 1 file changed, 5 insertions(+), 3 deletions(-)

Comment 10 Jad Haj Yahya 2018-11-15 08:14:51 UTC
Verified on 5.10.0.23

Comment 11 errata-xmlrpc 2019-02-07 23:02:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.